extract <- function(sienaresults,nsim) {
# function extracts RSiena-simulated network as adjacency matrix;
# does not work for networks with other names that 'friendship',
#               for groups other than the first in multi-group data,
#               for periods other than the first in multi-period data.
	
	# extract desired simulated edgelist
	simnet <- sienaresults$sims[[nsim]]$Data1$friendship$`1`
	
	# reconstruct size of network (not explicitly given in results object):
	ncells <- attr(theresults$f,'numberNonMissingNetwork')+
		attr(theresults$f,'numberMissingNetwork')
	n <- (1+sqrt(4*ncells+1))/2
	
	# make empty matrix of apropriate size:
	mat <- matrix(0,nr=n,nc=n)
	
	# put edgelist values where appropriate:
	for (r in 1:nrow(simnet)) {
		mat[simnet[r,1],simnet[r,2]] <- simnet[r,3]
	}
	
	# hand back extracted matrix:
	return(mat)
} 